For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
      • GETGet all surveys
      • POSTCreate survey
      • GETGet survey
      • DELDelete survey
      • GETGet all responses
      • POSTCreate response
      • DELDelete all responses
      • GETGet summary of responses
      • GETGet response
      • DELDelete a response
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSurveys

Get response

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/surveys/:survey_id/responses/:response_id
GET
/api/v1/surveys/:survey_id/responses/:response_id
$curl https://api.prolific.com/api/v1/surveys/survey_id/responses/response_id \
> -H "Authorization: Token <token>"
1{
2 "participant_id": "5c83c95d4c266300156edc01",
3 "submission_id": "63063cfc71fd74aad90886c4",
4 "_id": "63063d07691a81e96a6e8494",
5 "date_created": "2022-08-24T15:00:23.325000",
6 "date_modified": "2022-08-24T15:00:23.325000",
7 "sections": [
8 {
9 "questions": [
10 {
11 "answers": [
12 {
13 "answer_id": "c72d8cf9-5429-40ae-ac74-10041ed68824",
14 "value": "Yes"
15 }
16 ],
17 "question_id": "3797222e-f731-4bea-838b-f668682d902d",
18 "question_title": "Do you like ice cream?"
19 }
20 ],
21 "section_id": "75ac961f-d94a-4490-af8f-935ca088315f"
22 }
23 ]
24}
Get a single response for a survey.
Was this page helpful?
Previous

Get summary of responses

Next

Delete a response

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

survey_idstringRequired
response_idstringRequired

Response

Successful Response
participant_idstring
The Prolific participant ID.
submission_idstring
The Prolific submission ID.
_idstring
date_createddatetime

The date/time the response was created (UTC).

date_modifieddatetime

The date/time the response was modified (UTC).

sectionslist of objects

An array of sections from the survey, otherwise questions.

questionslist of objects

An array of questions from the survey, otherwise sections.

Errors

4XX
Client Request Error